### Name: wapply
### Title: Weighted version of the apply function
### Aliases: wapply
### Keywords: internal

### ** Examples

data<-matrix(rnorm(200),nr=20)
weights<-matrix(rexp(200,rate=0.1),nr=20)
wapply(X=data,MARGIN=1,FUN=mean,W=weights)



